function [Met] = EmSite_Calc_Met_Get_Precipitation(Emission_year,ipath)
yearday = datenum([Emission_year, 1 1 0 0 0]):1:datenum([Emission_year+1, 1 1 0 0 0]);
dt = datevec(yearday);
fprintf('Finding daily (& monthly) precipitation :\n')
fprintf('for year   %i \n',Emission_year)

ncfile2    = sprintf('%sMET/rr_%04i.nc',ipath,Emission_year);
pre        = ncread(ncfile2,'rr');
fprintf('Monthly Precipitation (mm) \n')
for month = 1:12
    idx = dt(:,2) == month;
    mP(:,:,month) =  sum(pre(:,:,idx),3);
end

Met.DayPrecipitation    = pre;
Met.MonthPrecipitation  = mP;
end
