function [TB,Sout] = EmSite_Geoprocess_Add_KV_Municipality(filename,Sout)
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here

% filename = shaperead(sprintf('%s%s',bp,'Kommuner/Kommuner2020'));

KMN = shaperead(filename);

fprintf('Adding Kommunenummer to all buildings\n')
numBuild = length(Sout);
for b = 1:numBuild
    clear p
    xb = Sout(b).X;
    yb = Sout(b).Y;
    for i=1:length(KMN)
        in = inpolygon(xb,yb,KMN(i).X,KMN(i).Y);
        if in; p =i;  end
    end
    if exist('p')
        kommune(b)   = KMN(p).KOMMUNENUM;
    else
        kommune(b)  = NaN;
    end
    if rem(b,5000)==0; fprintf('Kommune added: %i / %i Kommune\n',b,length(Sout)), end
end
TB = struct2table(Sout);
TB.KommuneNr   = kommune';
Sout = table2struct(TB);
fprintf('Kommune added: %i / %i \n missing: %i\n',sum(~isnan(kommune)),length(Sout),length(Sout)-sum(~isnan(kommune)))

end