function [TB,Sout] = EmSite_Geoprocess_Add_Location_from_KV(filename,TB)
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here

% filename = sprintf('%s%s%02i',bp,'Kartverket_Matrikkeldata/Norge/Fylke_MatrikkelenBygning/MatrikkelenBygning_fylke_',fylkenr(f));

% Read in the  data and extract relevant information on the buildings
P = shaperead(filename);
%%%%HEG: TO GET ONGOING NOT STARTED PROJECT NEED TO ADD Matrikkelen from KV

T = table;
T.X              = extractfield(P,'X')';
T.Y              = extractfield(P,'Y')';
T.Bygningsnummer = extractfield(P,'bygningsnu')';
T.Kommune        = str2num(char(extractfield(P,'kommune')'));
TB.kommune(:)    = 0;

bld = unique(TB.Bygningsnr);
for b = 1:length(bld)
    idx = find(T.Bygningsnummer == bld(b));
    if ~isempty(idx)
        %fprintf('MatikkelX=%i , FKB_X=%i\n',round(TB.X(b)),round(T.X(idx)))
        %fprintf('MatikkelY=%i , FKB_Y=%i\n',round(TB.Y(b)),round(T.Y(idx)))
        TB.X(b)       = T.X(idx);
        TB.Y(b)       = T.Y(idx);
        TB.kommune(b) = T.Kommune(idx);
    else
        
    end
    
end
fprintf('Bygningspunkter uplassert %i Prosent: %4.1f etter KV \n',length(find(TB.Y==0)),100*length(find(TB.Y==0))/height(TB))
Sout = table2struct(TB);
end

