function [HDD,f] = EmSite_Calc_Heating(Stmp,Hdays)
ydm   = datevec(Hdays);
yyyy  = unique(ydm(:,1));
Temp = [];
for year = 1:length(yyyy)    
    ncfile = sprintf('/storage/nilu/Inby/Aktive-prosjekter/o120107_EmSite/EmSite_Model/Input/TG_%04i.nc',yyyy(year));
    ifo =  ncinfo(ncfile);
    x = ncread(ncfile,'X');
    y = ncread(ncfile,'Y');
    t = ncread(ncfile,'time');
    
    xdst = sqrt((Stmp.X-x).^2);
    ydst = sqrt((Stmp.Y-y).^2);
    px = find(xdst== min(xdst));
    py = find(ydst== min(ydst));
    
    tpr = squeeze(ncread(ncfile,'tg',[px,py,1],[1,1,length(t)]));
    Temp = [Temp; tpr];
end


end