% Quick script 


global comps 

outgridsize   = 250; 
BuildDemo     = 'DEMO'; % add TOT when ready
BuildDemo     = 'CONST'; % add TOT when ready

outgridsize   = 250; 


flds = [{'PM25ne'}, {'PM10ne'}, {'TSPne'},  {'NOx'}, {'VOC'}, {'CH4'}, {'CO'}, {'N2O'}, {'NH3'}, {'PM'}, ...
    {'PM10'}, {'PM2_5'}, {'BC'}, {'CO2'}, {'Anleggsdies'},{'Bensin'},{'LPG'},{'HNRM'},{'SNRM'},{'HEAT'}];

opname        = '/storage/nilu/Inby/Aktive-prosjekter/o120107_EmSite/EmSite_Model/Output/';
outputfile    = sprintf('%s%s_%s.xlsx',opname,BuildDemo,'Kommuneutslipp');
for Emission_year = 2010:2020

    fprintf('\n<----------\nYear: %i\n ---------->\n',Emission_year)
    cnt = 0;
    try
        fprintf('%s%i_%s_Polygons\n',opname,Emission_year,BuildDemo)
        S1 = shaperead(sprintf('%s%i_%s_Polygons',opname,Emission_year,BuildDemo));
        fprintf('Read Polygons\n')
        cnt = 1;
        fprintf('%s%i_%s_SSB%i_IPM2\n',opname,Emission_year,BuildDemo,outgridsize)
        S2 = shaperead(sprintf('%s%i_%s_SSB%i_IPM2',opname,Emission_year,BuildDemo,outgridsize));
        fprintf('Read Gridded\n')
        cnt = 2;
        
        fieldlist = fieldnames(S1);
        kommune = extractfield(S1,'KommuneNr');
        uKom    = unique(kommune(~isnan(kommune)));
        fprintf('Kommuner %i\n',length(uKom))
        bruks = extractfield(S1,'BruksarealT');
        cnt = 3;

        
        T = table;
        T.KommuneNr = uKom';
        N = 0; BRA = 0;
        for Komm = 1:length(uKom)
            idx    = (kommune==uKom(Komm));
            BRA(Komm) = sum(bruks(idx));
            N(Komm)   = sum(idx);
        end        
        T.BRA       = BRA';
        T.N         = N';
        fprintf('Assigned Polygons\n')
        cnt = 4;
                
        fieldlist = fieldnames(S2);
        kommune = extractfield(S2,'KommuneNr');
        for i = 1:length(flds)
            idx = find(ismember(fieldlist,flds(i)));
            komponent = char((flds(i)));
            fprintf('%s, ',komponent)
            ems = extractfield(S2,komponent);
            for Komm = 1:length(uKom)
                idx       = (kommune==uKom(Komm));
                Tot(Komm) = nansum(ems(idx));
            end
            T.Var1 = Tot';
            clear Tot
            T.Properties.VariableNames((ismember(T.Properties.VariableNames,'Var1'))) = {sprintf('%s',komponent)};
        end
        cnt = 5;
        fprintf('\n Writing to file: %s \n Sheet: %s\n\n',outputfile,sprintf('x%i',Emission_year))        
        writetable(T,outputfile,'Sheet',sprintf('x%i',Emission_year))
    catch
        fprintf('#### Crashed in Year: %i  @ %i ####\n Continuing...\n\n',Emission_year, cnt)
    end
end





% 
% 
% 
% 
% BaseFields   = [{'Geometry'},{'BoundingBox'},{'X'},{'Y'},{'SSBID'},{'KommuneNr'}];
% 
% S = shaperead(file);
% kmn = extractfield(S,'KommuneNr');
% ukom = unique(kmn)
% T = struct2table(S);
% Tout = table;
% 
% fieldName = T.Properties.VariableNames
% 
% for k = 1:length(ukom)
%     
%     if ~isnan(ukom)
%     idx = T.KommuneNr== ukom(k);
%     
%     Ttmp = T(idx,:);
% 
%     
%     for f = 1:length(flds)
%     
%     end
%     
%     
%     
%     Tsum.Kommune = ukom(k);
%     Tout =[Tout;Tsum];
%     
%     else
%         %Tout =[Tout;Tsum];        
%     end
% end























