% split nc file into years
ncfile = '/storage/nilu/Inby/Aktive-prosjekter/o120107_EmSite/Data/Met/seNorge2018_RR_1957_2019.nc';
ifo = ncinfo(ncfile);
x = ncread(ncfile,'X');
y = ncread(ncfile,'Y');
% time format is: hours since 1900 01 01 0 0 0 
for year =2009:2019
    basedate  = datenum([1956 1 1 0 0 0]);
    startdate = datenum([year 1 1 0 0 0])-basedate;
    enddate   = datenum([year+1 1 1 0 0 0])-basedate;
    steps = enddate-startdate;
    system(sprintf('ncks -d time,%i,%i %s rr_%04i.nc',startdate,enddate,ncfile,year))
end
ncfile = '/storage/nilu/Inby/Aktive-prosjekter/o120107_EmSite/Data/Met/seNorge2018_TG_1957_2019.nc';
ifo = ncinfo(ncfile);
x = ncread(ncfile,'X');
y = ncread(ncfile,'Y');
for year =2009:2019
    basedate  = datenum([1956 1 1 0 0 0]);
    startdate = datenum([year 1 1 0 0 0])-basedate;
    enddate   = datenum([year+1 1 1 0 0 0])-basedate;
    steps = enddate-startdate;
    system(sprintf('ncks -d time,%i,%i %s TG_%04i.nc',startdate,enddate,ncfile,year))
end

% system('ncea -d time,1 TG_2018.nc TG_2018mean.nc')
